unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Sockets, StrUtils;

type
  TForm2 = class(TForm)
    networkEnable: TCheckBox;
    networkAddress: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    networkPort: TEdit;
    OKNtn: TButton;
    CancelBtn: TButton;
    function Execute: Boolean;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetData(UdpSocket1 : TUdpSocket);
    procedure GetData(UdpSocket1 : TUdpSocket);
end;

var
  Form2: TForm2;

implementation
{$R *.DFM}

function TForm2.Execute: Boolean;
begin
  Result := (ShowModal = mrOK);
end;

procedure TForm2.GetData(UdpSocket1 : TUdpSocket);
begin
  if UdpSocket1.Active then
    UdpSocket1.Close;

  UdpSocket1.RemoteHost := networkAddress.Text;
  UdpSocket1.RemotePort := networkPort.Text;

  if networkEnable.Checked then
    UdpSocket1.Open;
end;

procedure TForm2.SetData(UdpSocket1 : TUdpSocket);
var lha : string;

begin
  lha := UdpSocket1.LocalHostAddr;
  lha := LeftStr(lha, LastDelimiter('.', lha));
  networkAddress.Text :=  lha + '255';
  networkPort.Text := UdpSocket1.RemotePort;
  if UdpSocket1.Active then
    networkEnable.Checked := true
  else
    networkEnable.Checked := false;
end;

end.
